
CoCoALib - Feature #1053

New function: IdealOfGBasis, IdealOfMinGens in CoCoALib

26 Apr 2017 18:00 - Anna Maria Bigatti

Status: Closed Start date: 26 Apr 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 1.01 hour

Target version: CoCoALib-0.99560 Spent time: 1.20 hour

Description

port these 2 functions in cocoalib.

Related issues:

Related to CoCoA-5 - Feature #996: New function: IdealOfGBasis Closed 12 Jan 2017

Related to CoCoA-5 - Design #1020: Rename minimalized(I) into IdealOfMinGens(I)? Closed 06 Mar 2017

Related to CoCoALib - Feature #1126:  New function: SubmoduleOfMinGens Closed 20 Nov 2017

History

#1 - 26 Apr 2017 18:02 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.99550 spring 2017

- % Done changed from 0 to 90

- Estimated time set to 1.01 h

Moved from cocoa-5 to cocoalib, updated calling code, and documented.

#2 - 26 Apr 2017 18:02 - Anna Maria Bigatti

- Related to Feature #996: New function: IdealOfGBasis added

#3 - 26 Apr 2017 18:02 - Anna Maria Bigatti

- Related to Design #1020: Rename minimalized(I) into IdealOfMinGens(I)? added

#4 - 26 Apr 2017 19:56 - John Abbott

Is the intention that the gens given are the reduced GBasis (wrt ring ordering)?

Or do you want to allow any GBasis?

#5 - 26 Apr 2017 21:56 - Anna Maria Bigatti

John Abbott wrote:

Is the intention that the gens given are the reduced GBasis (wrt ring ordering)?

 

Good question.  I'd say yes, the reduced GBasis.
#6 - 29 Apr 2017 08:35 - Anna Maria Bigatti

- Status changed from Feedback to Resolved

- % Done changed from 90 to 80

Still missing: copy flags.

#7 - 29 Apr 2017 08:35 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#8 - 20 Nov 2017 16:05 - Anna Maria Bigatti

- Related to Feature #1126:  New function: SubmoduleOfMinGens added

#9 - 20 Nov 2017 16:07 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 80 to 100
